Index: sandbox/2.4.1-3/expressoMail1_2/js/main.js
===================================================================
--- sandbox/2.4.1-3/expressoMail1_2/js/main.js	(revision 6334)
+++ sandbox/2.4.1-3/expressoMail1_2/js/main.js	(revision 6405)
@@ -1626,5 +1626,10 @@
 		case "reply_without_history":
 			RichTextEditor.replyController = true; //Seta o editor como modo reply
-			content.find('[name="input_to"]').val(data.to);
+			content.find('[name="input_to"]').val(data.to);			
+			array = data.to.split(",");
+			$.each(array, function(index, value){
+				draw_email_box(value, content.find(".to").filter("input"));
+			});
+			
 			title = "Re: " + html_entities(data.subject);
 			content.find(".subject").val("Re: " + data.subject);			
@@ -1643,4 +1648,8 @@
 			content.find(".subject").val("Re: " + data.subject);
 			content.find('[name="input_to"]').val(data.to);
+			array = data.to.split(",");
+			$.each(array, function(index, value){
+				draw_email_box(value, content.find(".to").filter("input"));
+			});
 			content.find('[name="msg_reply_from"]').val($("#msg_number_" + border_ID).val());	
 
@@ -1673,5 +1682,10 @@
 			else
 				content.find('[name="input_to"]').val(data.to + ',' + data.to_all);
-				
+			
+			array = data.to_all.split(",");
+			$.each(array, function(index, value){
+				draw_email_box(value, content.find(".to").filter("input"));
+			});
+			
 			if (data.cc){
 				data.cc = new Array();
@@ -1689,6 +1703,8 @@
 					content.find(".cc-button").toggleClass("expressomail-button-icon-ative");
 					content.find(".cc-button").find("span").html("Remover CC");
-					content.find('[name="input_cc"]').elastic().unbind('blur');
-					content.find('[name="input_cc"]').trigger("update");
+					array = data.cc.split(",");
+					$.each(array, function(index, value){
+						draw_email_box(value, content.find(".cc").filter("input"));
+					});
 				}
 			}
@@ -1712,4 +1728,10 @@
 			else
 				data.to_all = "";
+
+			array = data.to_all.split(",");
+			$.each(array, function(index, value){
+				draw_email_box(value, content.find(".to").filter("input"));
+			});
+			
 			title = "Re: " + html_entities(data.subject);
 			
@@ -1732,6 +1754,9 @@
 					content.find(".cc-button").toggleClass("expressomail-button-icon-ative");
 					content.find(".cc-button").find("span").html("Remover CC");
-					content.find('[name="input_cc"]').elastic().unbind('blur');
-					content.find('[name="input_cc"]').trigger("update");
+					
+					array = data.cc.split(",");
+					$.each(array, function(index, value){
+						draw_email_box(value, content.find(".cc").filter("input"));
+					});
 				}
 			}
@@ -1788,4 +1813,5 @@
 				}
 				content.find('[name="input_to"]').val(_to +',');
+				draw_email_box(_to, content.find(".to").filter("input"));
 				Element('msg_number').value = '';
 			}
@@ -1813,4 +1839,9 @@
 			}
 
+			array = data.to.split(",");
+			$.each(array, function(index, value){
+				draw_email_box(value, content.find(".to").filter("input"));
+			});
+			
 			content.find('[name="input_to"]').val(data.to);
 			if (data.cc){
@@ -1822,6 +1853,8 @@
 				content.find(".cc-button").toggleClass("expressomail-button-icon-ative");
 				content.find(".cc-button").find("span").html(get_lang('Remove CC'));
-				content.find('[name="input_cc"]').elastic().unbind('blur');
-				content.find('[name="input_cc"]').trigger("update");
+				array = data.cc.split(",");
+				$.each(array, function(index, value){
+					draw_email_box(value, content.find(".cc").filter("input"));
+				});
 			}
 			if (data.cco){
@@ -1831,6 +1864,8 @@
 					content.find(".cco-button").toggleClass("expressomail-button-icon-ative");
 					content.find(".cco-button").find("span").html(get_lang('Remove CCo'));
-					content.find('[name="input_cco"]').elastic().unbind('blur');
-					content.find('[name="input_cco"]').trigger("update");
+					array = data.cco.split(",");
+					$.each(array, function(index, value){
+						draw_email_box(value, content.find(".cco").filter("input"));
+					});
 				}
 			}
Index: sandbox/2.4.1-3/expressoMail1_2/js/QuickSearchUser.js
===================================================================
--- sandbox/2.4.1-3/expressoMail1_2/js/QuickSearchUser.js	(revision 5477)
+++ sandbox/2.4.1-3/expressoMail1_2/js/QuickSearchUser.js	(revision 6405)
@@ -59,11 +59,10 @@
 		if (openTab.type[currentTab] != 4)
 		{
-			Element("msg_number").value = "\""+cn+"\" <"+mail+">";
 			new_message("new","null");
+			draw_email_box("\""+cn+"\" <"+mail+">", $("#content_id_"+currentTab).find(".to").filter("input"));
 		}
 		else
 		{
-			var ToField = Element('to_'+currentTab);
-			ToField.value = ToField.value +"\""+cn+"\" <"+mail+">,";
+			draw_email_box("\""+cn+"\" <"+mail+">", $("#content_id_"+currentTab).find(".to").filter("input"));
 		}
 	}
Index: sandbox/2.4.1-3/expressoMail1_2/js/QuickCatalogSearch.js
===================================================================
--- sandbox/2.4.1-3/expressoMail1_2/js/QuickCatalogSearch.js	(revision 6380)
+++ sandbox/2.4.1-3/expressoMail1_2/js/QuickCatalogSearch.js	(revision 6405)
@@ -602,8 +602,8 @@
 			draw_email_box(
 				(data_[parseInt(divs.split("_")[1])-1][ldap_id] ? data_[parseInt(divs.split("_")[1])-1][ldap_id][0] : final_contact)
-				, $(field_).filter("input")
+				, content.find(field_).filter("input")
 			);
 		}else{
-			draw_email_box(final_contact, $(field_).filter("input"));
+			draw_email_box(final_contact, content.find(field_).filter("input"));
 		}
 		button.onclick = function(){