Index: /sandbox/2.4.1-3/expressoMail1_2/js/main.js
===================================================================
--- /sandbox/2.4.1-3/expressoMail1_2/js/main.js	(revision 6405)
+++ /sandbox/2.4.1-3/expressoMail1_2/js/main.js	(revision 6406)
@@ -1627,8 +1627,6 @@
 			RichTextEditor.replyController = true; //Seta o editor como modo reply
 			content.find('[name="input_to"]').val(data.to);			
-			array = data.to.split(",");
-			$.each(array, function(index, value){
-				draw_email_box(value, content.find(".to").filter("input"));
-			});
+			
+			draw_reply_boxes_by_field("to", data.to, content);
 			
 			title = "Re: " + html_entities(data.subject);
@@ -1648,8 +1646,7 @@
 			content.find(".subject").val("Re: " + data.subject);
 			content.find('[name="input_to"]').val(data.to);
-			array = data.to.split(",");
-			$.each(array, function(index, value){
-				draw_email_box(value, content.find(".to").filter("input"));
-			});
+			
+			draw_reply_boxes_by_field("to", data.to, content);
+			
 			content.find('[name="msg_reply_from"]').val($("#msg_number_" + border_ID).val());	
 
@@ -1683,8 +1680,5 @@
 				content.find('[name="input_to"]').val(data.to + ',' + data.to_all);
 			
-			array = data.to_all.split(",");
-			$.each(array, function(index, value){
-				draw_email_box(value, content.find(".to").filter("input"));
-			});
+			draw_reply_boxes_by_field("to", data.to_all, content);
 			
 			if (data.cc){
@@ -1698,13 +1692,10 @@
 				if(data.cc != ""){
 					content.find('[name="input_cc"]').val(data.cc);
-					input_binds(content.find('[name="input_cc"]'), new_border_ID);
+					input_binds(content.find('[name="input_cc"]').parent(), new_border_ID);
 					content.find(".cc-tr").show();//cc-button
 					//document.getElementById("a_cc_link" + new_border_ID).value = data.cc;
 					content.find(".cc-button").toggleClass("expressomail-button-icon-ative");
 					content.find(".cc-button").find("span").html("Remover CC");
-					array = data.cc.split(",");
-					$.each(array, function(index, value){
-						draw_email_box(value, content.find(".cc").filter("input"));
-					});
+					draw_reply_boxes_by_field("cc", data.cc, content);
 				}
 			}
@@ -1729,8 +1720,5 @@
 				data.to_all = "";
 
-			array = data.to_all.split(",");
-			$.each(array, function(index, value){
-				draw_email_box(value, content.find(".to").filter("input"));
-			});
+			draw_reply_boxes_by_field("to", data.to_all, content);
 			
 			title = "Re: " + html_entities(data.subject);
@@ -1750,13 +1738,10 @@
 				if(data.cc != ""){
 					content.find('[name="input_cc"]').val(data.cc);
-					input_binds(content.find('[name="input_cc"]'), new_border_ID);
+					input_binds(content.find('[name="input_cc"]').parent(), new_border_ID);
 					content.find(".cc-tr").show();
 					content.find(".cc-button").toggleClass("expressomail-button-icon-ative");
 					content.find(".cc-button").find("span").html("Remover CC");
 					
-					array = data.cc.split(",");
-					$.each(array, function(index, value){
-						draw_email_box(value, content.find(".cc").filter("input"));
-					});
+					draw_reply_boxes_by_field("cc", data.cc, content);
 				}
 			}
@@ -1839,8 +1824,5 @@
 			}
 
-			array = data.to.split(",");
-			$.each(array, function(index, value){
-				draw_email_box(value, content.find(".to").filter("input"));
-			});
+			draw_reply_boxes_by_field("to", data.to, content);
 			
 			content.find('[name="input_to"]').val(data.to);
@@ -1849,12 +1831,9 @@
 				data.cc = data.cc.replace(/&gt;/gi,">");
 				content.find('[name="input_cc"]').val(data.cc);
-				input_binds(content.find('[name="input_cc"]'), new_border_ID);
+				input_binds(content.find('[name="input_cc"]').parent(), new_border_ID);
 				content.find(".cc-tr").show();
 				content.find(".cc-button").toggleClass("expressomail-button-icon-ative");
 				content.find(".cc-button").find("span").html(get_lang('Remove CC'));
-				array = data.cc.split(",");
-				$.each(array, function(index, value){
-					draw_email_box(value, content.find(".cc").filter("input"));
-				});
+				draw_reply_boxes_by_field("cc", data.cc, content);
 			}
 			if (data.cco){
@@ -1864,8 +1843,6 @@
 					content.find(".cco-button").toggleClass("expressomail-button-icon-ative");
 					content.find(".cco-button").find("span").html(get_lang('Remove CCo'));
-					array = data.cco.split(",");
-					$.each(array, function(index, value){
-						draw_email_box(value, content.find(".cco").filter("input"));
-					});
+					input_binds(content.find('[name="input_cco"]').parent(), new_border_ID);
+					draw_reply_boxes_by_field("cco", data.cco, content);
 				}
 			}
@@ -1907,4 +1884,12 @@
 	resizeWindow();
 	return new_border_ID; //Preciso retornar o ID da nova mensagem.
+}
+
+//DESENHA OS RETANGULOS PARA OS E-MAIL NA OPÇÃO REPLY
+function draw_reply_boxes_by_field(field, value, context){
+	array = value.split(",");
+	$.each(array, function(index, value){
+		draw_email_box(value, context.find("."+field).filter("input"));
+	});
 }
 