Index: /sandbox/2.4.1-3/expressoMail1_2/js/draw_api.js
===================================================================
--- /sandbox/2.4.1-3/expressoMail1_2/js/draw_api.js	(revision 6379)
+++ /sandbox/2.4.1-3/expressoMail1_2/js/draw_api.js	(revision 6422)
@@ -3501,5 +3501,5 @@
 
 //DESENHO DAS CAIXA DE EMAIL
-function draw_email_box(input_data, location){
+function draw_email_box(input_data, location, personal){
 	if($.trim(input_data) != ""){
 		var box_data = valid_emails(input_data);
@@ -3509,5 +3509,5 @@
 			if(preferences.expressoMail_ldap_identifier_recipient && $(newBox).hasClass("invalid-email-box")){
 				//$(newBox).find(".loading").css("background-image", "../prototype/modules/mail/img/ajax-loader.gif");
-				show_detais(newBox, input_data);
+				show_detais(newBox, input_data, personal);
 			}else{
 				$(newBox).find(".box-loading").remove();
@@ -3791,6 +3791,34 @@
 
 //MOSTRA OS DETALHES DAS CAIXA DE EMAIL NOS CAMPOS PARA - CC - CCO
-function show_detais(box, value){
+function show_detais(box, value, personal){
 	var ldap_id = preferences.expressoMail_ldap_identifier_recipient;
+	if(personal){
+		DataLayer.read("/contact/"+value, {}, function(data){
+			if(!data.error){
+				if(data.collection.error)
+					box.find(".box-loading").remove();
+				else{
+					//box.find(".box-loading").css("background-image", "url(templates/default/images/information.png) no-repeat! !important");
+					box.find(".box-loading").removeClass("box-loading").addClass("box-info");
+					box.addClass("box-"+value).removeClass("invalid-email-box");
+					loadExtraLDAPBox(data.collection.itens[0].data, ".box-"+value);
+					box.unbind("dblclick").bind("dblclick", function(e){
+						new $.Zebra_Dialog('<strong>Impossivel editar</strong> um contato do catálogo pessoal\n' +
+							'<strong>Porém</strong> é possivel remove-lo', {
+							'buttons':  false,
+							'modal': false,
+							'position': ['right - 20', 'top + 20'],
+							'auto_close': 3000
+						});
+					}).find(".box-input").val("\""+data.collection.itens[0].data[0].value+"\" <"+data.collection.itens[0].data[1].value+">");
+					box.find(".email-box-value").html( (data.collection.itens[0].data[0].value.length > 18 ? data.collection.itens[0].data[0].value.substring(0, 15)+"...": data.collection.itens[0].data[0].value))
+				}
+			}else{
+				box.find(".box-loading").remove();
+			}
+		});
+		return;
+	}
+	
 	DataLayer.read("/usersldap", {field : ldap_id,value: value}, function(data){
 		if(!data.error){
@@ -3803,5 +3831,5 @@
 				loadExtraLDAPBox(data.collection.itens[0].data, ".box-"+value);
 				box.unbind("dblclick").bind("dblclick", function(e){
-					new $.Zebra_Dialog('<strong>Impossivel editar</strong> um contato do ldap\n' +
+					new $.Zebra_Dialog('<strong>Impossivel editar</strong> um contato do catálogo geral\n' +
 						'<strong>Porém</strong> é possivel remove-lo', {
 						'buttons':  false,
Index: /sandbox/2.4.1-3/expressoMail1_2/js/QuickCatalogSearch.js
===================================================================
--- /sandbox/2.4.1-3/expressoMail1_2/js/QuickCatalogSearch.js	(revision 6405)
+++ /sandbox/2.4.1-3/expressoMail1_2/js/QuickCatalogSearch.js	(revision 6422)
@@ -598,12 +598,16 @@
 
 		final_contact = final_contact.replace(/\/n/, ""); 
-		var ldap_id = preferences.expressoMail_ldap_identifier_recipient;
-		if(ldap_id){
-			draw_email_box(
-				(data_[parseInt(divs.split("_")[1])-1][ldap_id] ? data_[parseInt(divs.split("_")[1])-1][ldap_id][0] : final_contact)
-				, content.find(field_).filter("input")
-			);
+		if(data_[parseInt(divs.split("_")[1])-1].type_contact == "G"){
+			var ldap_id = preferences.expressoMail_ldap_identifier_recipient;
+			if(ldap_id){
+				draw_email_box(
+					(data_[parseInt(divs.split("_")[1])-1][ldap_id.toLowerCase()] ? data_[parseInt(divs.split("_")[1])-1][ldap_id.toLowerCase()][0] : final_contact)
+					, content.find(field_).filter("input")
+				);
+			}else{
+				draw_email_box(final_contact, content.find(field_).filter("input"));
+			}
 		}else{
-			draw_email_box(final_contact, content.find(field_).filter("input"));
+			draw_email_box(data_[0].id_contact, content.find(field_).filter("input"), true);
 		}
 		button.onclick = function(){