Index: /branches/2.4/expressoMail1_2/inc/class.imap_functions.inc.php
===================================================================
--- /branches/2.4/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 6333)
+++ /branches/2.4/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 6438)
@@ -1670,73 +1670,4 @@
 
                     case 'REPLY':
-                          include_once(dirname(__FILE__).'/../../header.inc.php');
-                          include_once(dirname(__FILE__).'/../../calendar/inc/class.boicalendar.inc.php');
-                          $boicalendar = new boicalendar();
-
-                          $ical = $icalService->getComponent('vevent');
-                          $content.= '<b>'.$this->functions->getLang('Event Calendar').'</b><br /><br />';
-                          $content.= '<span style="font-size: 12" >';
-                          $notExist = false;
-
-                          foreach ($ical['attendee'] as $attendee)
-                          {
-                                if($attendee['params']['PARTSTAT'] == 'ACCEPTED')
-                                {
-                                    if($boicalendar->updateExParticipantState($ical['uid']['value'],$attendee['value'],'ACCEPTED',$attendee['params']['CN']))
-                                    {
-                                        $content.= $this->functions->getLang('User').' ';
-                                        if($attendee['params']['CN'])
-                                            $content.= '<b>'.$attendee['params']['CN'].'</b> ';
-                                        else
-                                            $content.= '<b>'.$attendee['value'].'</b> ';
-
-                                        $content.= $this->functions->getLang('accepted your event');
-                                    }
-                                    else
-                                        $notExist = true;
-                                }
-
-                                if($attendee['params']['PARTSTAT'] == 'TENTATIVE')
-                                {
-                                    if($boicalendar->updateExParticipantState($ical['uid']['value'],$attendee['value'],'TENTATIVE',$attendee['params']['CN']))
-                                    {
-                                        $content.= $this->functions->getLang('User').' ';
-                                        if($attendee['params']['CN'])
-                                            $content.= '<b>'.$attendee['params']['CN'].'</b> ';
-                                        else
-                                            $content.= '<b>'.$attendee['value'].'</b> ';
-
-                                        if($ical['description']['value'])
-                                            $content.= ' <br /> '.str_replace('\n','<br />',nl2br($ical['description']['value']));
-                                        else
-                                            $content.= $this->functions->getLang('provisionally accepted you event');
-                                    }
-                                    else
-                                         $notExist = true;
-                                }
-
-                                if($attendee['params']['PARTSTAT'] == 'DECLINED')
-                                {
-                                    if($boicalendar->updateExParticipantState($ical['uid']['value'],$attendee['value'],'DECLINED',$attendee['params']['CN']))
-                                    {
-                                        $content.= $this->functions->getLang('User').' ';
-                                        if($attendee['params']['CN'])
-                                            $content.= '<b>'.$attendee['params']['CN'].'</b> ';
-                                        else
-                                            $content.= '<b>'.$attendee['value'].'</b> ';
-
-                                        if($ical['description']['value'])
-                                            $content.= ' <br /> '.str_replace('\n','<br />',nl2br($ical['description']['value']));
-                                        else
-                                            $content.= $this->functions->getLang('provisionally decline you event');
-                                    }
-                                    else
-                                        $notExist = true;
-                                }
-                          }
-                          if($notExist)
-                            $content.= '<b><span style="color:red">'.$this->functions->getLang('This event does not exist on its agenda').'.</span></b>';
-                          $content.= '</span><br /><br />';
-
                         break;
 