Index: trunk/expressoMail1_2/js/QuickCatalogSearch.js
===================================================================
--- trunk/expressoMail1_2/js/QuickCatalogSearch.js	(revision 6417)
+++ trunk/expressoMail1_2/js/QuickCatalogSearch.js	(revision 6459)
@@ -148,4 +148,16 @@
 					}
 				}
+				if (data_[id_contact].vacationactive == "TRUE"){
+					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
+					if ( data_[id_contact].vacationinfo ){
+						details.append('<div class="outoffice"><div class="outoffice-inner"><span>'+ data_[id_contact].vacationinfo +'</span></div></div>');
+						if ( $('.outoffice-inner').height() > $('.outoffice').height() ){						
+							var link = $('<a>').html('Ver mais');
+							link.attr('id','more');
+							link.bind('click',function(){$('.outoffice').animate({height: $('.outoffice-inner').height(),width: '-=15px'},800); $('#more').unbind('click').hide();});
+							details.append(link);
+						}
+					}
+				}
 				break;
 			case 'P':
@@ -156,4 +168,16 @@
                 if(data_[id_contact].telephonenumber != null)
                     details.append('<p><label class="attribute">Telefone</label>' + '<span class="value">' + data_[id_contact].telephonenumber + '</span></p>');
+				if (data_[id_contact].vacationactive == "TRUE"){
+					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
+					if (data_[id_contact].vacationinfo){
+						details.append('<div class="outoffice"><div class="outoffice-inner"><span>'+ data_[id_contact].vacationinfo +'</span></div></div>');
+						if ( $('.outoffice-inner').height() > $('.outoffice').height() ){
+							var link = $('<a>').html('Ver mais');
+							link.attr('id','more');
+							link.bind('click',function(){$('.outoffice').animate({height: $('.outoffice-inner').height(),width: '-=15px'},800); $('#more').unbind('click').hide();});
+							details.append(link);
+						}
+					}
+				}	
 				break;
 			default:
@@ -189,4 +213,16 @@
 					}
 				}
+				if (data_[id_contact].vacationactive == "TRUE"){
+					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
+					if (data_[id_contact].vacationinfo){
+						details.append('<div class="outoffice"><div class="outoffice-inner"><span>'+ data_[id_contact].vacationinfo +'</span></div></div>');
+						if ( $('.outoffice-inner').height() > $('.outoffice').height() ){
+							var link = $('<a>').html('Ver mais');
+							link.attr('id','more');
+							link.bind('click',function(){$('.outoffice').animate({height: $('.outoffice-inner').height(),width: '-=15px'},800); $('#more').unbind('click').hide();});
+							details.append(link);
+						}
+					}	
+				}				
 			break;
 		}				
@@ -278,5 +314,8 @@
 			else if(contact_name.toLowerCase().indexOf(data.search_for.toLowerCase()) != -1 && data.search_for.indexOf(" ") == -1 && data.search_for.indexOf("@") == -1)									
 				contact_name = contact_name.substring(0, contact_name.toLowerCase().indexOf(data.search_for.toLowerCase())) + "<u>" + contact_name.substr(contact_name.toLowerCase().indexOf(data.search_for.toLowerCase()), data.search_for.length) + "</u>" + contact_name.substring(contact_name.toLowerCase().indexOf(data.search_for.toLowerCase()) + data.search_for.length);
-			var line = '<span class="menu-control"><button class="'+btnClass+'" id="actions_'+i+'" onClick="'+exist+'(document.getElementById(\'contact_' + i + '\').innerHTML, this, \'contact_' + i + '\')">'+ signal +'</button></span><div id="contact_' + i + '" onDblClick="'+exist+'(this.innerHTML, document.getElementById(\'actions_'+i+'\'), \'contact_' + i + '\')"><div class="name_contact"><strong class="name">' + contact_name + '</strong><em class="email">' + ((utf8_decoder(data[i-1].mail) != undefined)? (utf8_decoder(data[i-1].mail) == 'undefined' ? get_lang("No mail") : utf8_decoder(data[i-1].mail)) : get_lang("No mail")) + '</em></div></div>';
+			var vacationImg = '';
+			if (data[i-1].vacationactive == "TRUE")
+				vacationImg = '<img src="templates/default/images/mala-small.png"/>';	
+			var line = '<span class="menu-control"><button class="'+btnClass+'" id="actions_'+i+'" onClick="'+exist+'(document.getElementById(\'contact_' + i + '\').innerHTML, this, \'contact_' + i + '\')">'+ signal +'</button></span><div id="contact_' + i + '" onDblClick="'+exist+'(this.innerHTML, document.getElementById(\'actions_'+i+'\'), \'contact_' + i + '\')"><div class="name_contact"><strong class="name">' + contact_name +' '+ vacationImg +'</strong><em class="email">' + ((utf8_decoder(data[i-1].mail) != undefined)? (utf8_decoder(data[i-1].mail) == 'undefined' ? get_lang("No mail") : utf8_decoder(data[i-1].mail)) : get_lang("No mail")) + '</em></div></div>';
 			Op.innerHTML = line;
             $(Op).val(i - 1);
@@ -316,5 +355,17 @@
 						}
 					}
-				}			
+				}
+				if (data[first_contact].vacationactive == "TRUE"){
+					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
+					if ( data[first_contact].vacationinfo ){
+						details.append('<div class="outoffice"><div class="outoffice-inner"><span>'+ data[first_contact].vacationinfo +'</span></div></div>');
+						if ( $('.outoffice-inner').height() > $('.outoffice').height() ){						
+							var link = $('<a>').html('Ver mais');
+							link.attr('id','more');
+							link.bind('click',function(){$('.outoffice').animate({height: $('.outoffice-inner').height(),width: '-=15px'},800); $('#more').unbind('click').hide();});
+							details.append(link);
+						}	
+					}	
+				}							
 				break;
 			case 'P':
@@ -325,4 +376,16 @@
                 if(data[first_contact].telephonenumber != null)
 					details.append('<p><label class="attribute">Telefone</label>' + '<span class="value">' + data[first_contact].telephonenumber  + '</span></p>');
+				if (data[first_contact].vacationactive == "TRUE"){
+					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
+					if ( data[first_contact].vacationinfo ){
+						details.append('<div class="outoffice"><div class="outoffice-inner"><span>'+ data[first_contact].vacationinfo +'</span></div></div>');
+						if ( $('.outoffice-inner').height() > $('.outoffice').height() ){
+							var link = $('<a>').html('Ver mais');
+							link.attr('id','more');
+							link.bind('click',function(){$('.outoffice').animate({height: $('.outoffice-inner').height(),width: '-=15px'},800); $('#more').unbind('click').hide();});
+							details.append(link);
+						}	
+					}
+				}				
 				break;
 			default:	
@@ -357,4 +420,16 @@
 					}
 				}
+				if (data[first_contact].vacationactive == "TRUE"){
+					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
+					if ( data[first_contact].vacationinfo ){
+						details.append('<div class="outoffice"><div class="outoffice-inner"><span>'+ data[first_contact].vacationinfo +'</span></div></div>');
+						if ( $('.outoffice-inner').height() > $('.outoffice').height() ){						
+							var link = $('<a>').html('Ver mais');
+							link.attr('id','more');
+							link.bind('click',function(){$('.outoffice').animate({height: $('.outoffice-inner').height(),width: '-=15px'},800); $('#more').unbind('click').hide();});
+							details.append(link);
+						}	
+					}
+				}				
 				break;
 		}
@@ -388,7 +463,7 @@
 									}else
 										var extra_fields = [];   
-									if(preferences.default_fields_quick_search != 0 && data[this.value] ) {
-											details.append('<p><label class="attribute">' + utf8_decoder(data[this.value].cn[0]) + "</label>" + '<span class="value">' + (data[this.value].mail ? data[this.value].mail[0] : "")+ "</span></p>");
-										if(data[this.value].telephonenumber )
+									if(preferences.default_fields_quick_search != 0 && data[this.value] ) { 
+ 	                                    details.append('<p><label class="attribute">' + utf8_decoder(data[this.value].cn[0]) + "</label>" + '<span class="value">' + (data[this.value].mail ? data[this.value].mail[0] : "")+ "</span></p>");
+ 										if(data[this.value].telephonenumber )
 											details.append('<p><label class="attribute">Telefone</label>' + '<span class="value">' + (data[this.value].telephonenumber ? data[this.value].telephonenumber[0] : "")+ "</span></p>");
 									}
@@ -404,4 +479,16 @@
 										}
 									}
+									if (data[this.value].vacationactive == "TRUE"){
+										details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
+										if ( data[this.value].vacationinfo ){
+											details.append('<div class="outoffice"><div class="outoffice-inner"><span>'+ data[this.value].vacationinfo +'</span></div></div>');
+											if ( $('.outoffice-inner').height() > $('.outoffice').height() ){											
+												var link = $('<a>').html('Ver mais');
+												link.attr('id','more');
+												link.bind('click',function(){$('.outoffice').animate({height: $('.outoffice-inner').height(),width: '-=15px'},800); $('#more').unbind('click').hide();});
+												details.append(link);
+											}
+										}
+									}									
 									break;
 								case 'P':
@@ -412,4 +499,16 @@
 									if(data[this.value].telephonenumber != null)
 										details.append('<p><label class="attribute">Telefone</label>' + '<span class="value">' + data[this.value].telephonenumber + "</span></p>");
+									if (data[this.value].vacationactive == "TRUE"){
+										details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
+										if ( data[this.value].vacationinfo ){
+											details.append('<div class="outoffice"><div class="outoffice-inner"><span>'+ data[this.value].vacationinfo +'</span></div></div>');
+											if ( $('.outoffice-inner').height() > $('.outoffice').height() ){
+												var link = $('<a>').html('Ver mais');
+												link.attr('id','more');
+												link.bind('click',function(){$('.outoffice').animate({height: $('.outoffice-inner').height(),width: '-=15px'},800); $('#more').unbind('click').hide();});
+												details.append(link);
+											}	
+										}
+									}									
 									break;
 								default:
@@ -443,4 +542,16 @@
 										}
 									}
+									if (data[this.value].vacationactive == "TRUE"){
+										details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
+										if ( data[this.value].vacationinfo ){
+											details.append('<div class="outoffice"><div class="outoffice-inner"><span>'+ data[this.value].vacationinfo +'</span></div></div>')
+											if ( $('.outoffice-inner').height() > $('.outoffice').height() ){
+												var link = $('<a>').html('Ver mais');
+												link.attr('id','more');
+												link.bind('click',function(){$('.outoffice').animate({height: $('.outoffice-inner').height(),width: '-=15px'},800); $('#more').unbind('click').hide();});
+												details.append(link);
+											}
+										}	
+									}									
 									break;
 							}